<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2020 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Daniel Cuevas <daniel@pinpointdesigns.co.uk>
 */
namespace Pinpoint\CarouselManager\Model\Source\Slide;

/**
 * Class Style
 */
class Style implements \Magento\Framework\Option\ArrayInterface
{
    protected $styles = [
        'normal' => 'Normal',
        'oblique' => 'Oblique',
        'bold' => 'Bold',
        'italic' => 'Italic',
        'underline' => 'Underline'
    ];

    /**
     * Get available options
     *
     * @codeCoverageIgnore
     * @return array
     */
    public function toOptionArray()
    {
        $options = [];

        foreach($this->styles as $i => $font) {
            $options[] = ['value' => $i, 'label' => $font];
        }

        return $options;
    }
}
