
define([
    'Magento_Ui/js/form/element/single-checkbox',
    'jquery'
], function (SingleCheckbox, $) {
    'use strict';

    return SingleCheckbox.extend({
        defaults: {
            toggleLabels: {
                'on': 'Mobile',
                'off': 'Desktop'
            },
            notices: [],
            tracks: {
                notice: true
            }
        },

        /**
         * Choose notice on initialization
         *
         * @returns {*|void|Element}
         */
        initialize: function () {
            this._super();
            return this;
        },

        toggleFieldVisibility:function(isMobile) {
            var fieldset = $("input[name='" + this.inputName + "']").parents('fieldset');

            if (isMobile) {
                fieldset.find('.desktop').each(function (index, element) {
                    //$(element).fadeOut();
                    $(element).addClass('hidden');
                });
                fieldset.find('.mobile').each(function (index, element) {
                    $(element).removeClass('hidden');
                });
            } else {
                fieldset.find('.desktop').each(function (index, element) {
                    $(element).removeClass('hidden');
                });
                fieldset.find('.mobile').each(function (index, element) {
                    $(element).addClass('hidden');
                });
            }
        },

        onExtendedValueChanged: function (newExportedValue) {
            this.toggleFieldVisibility(newExportedValue);

            this._super();
        },

    });
});
